Subject: Re: Packet mood

From: Joe Touch <[email-masked]>
Date: Thu, 06 May 2010 14:08:01 -0700

Dave CROCKER wrote:
> 
> 
> On 4/1/2010 11:05 AM, Fred Baker wrote:
>> So - does RFC 5841 update RFC 3514, or obsolete it?
> 
> 
> Probably not.  RFC 3514 is actually a protocol.  RFC 5841 is not.
> 
> A protocol needs to specify deterministic behavior by participants at
> both ends of the exchange.  Otherwise there cannot be interoperability.
> 
> The new entry defines publishing labels.  That is, its focus is on
> conveying mood rather than worrying about the use of mood.  At the
> least, it might have suggested that a bored packet label should be
> subject to a flood of packets in response, just to make the issuer's day
> more interesting?

This would have been easily avoided had this option been given a more
typical April 1-type kind number, e.g., 258.

I recall getting queries about how to support similar April 1 RFCs,
since the indicator wouldn't fit in the intended field (port number
68000, protocol number 258, etc.).

Simply using that kind of (in)sanity check could have helped avoid these
issues...

Joe